Bug 445300 - [laptop] Close lid when rhythmbox playing, display will not recover after open
[laptop] Close lid when rhythmbox playing, display will not recover after open
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-05 20:30 EDT by Yijun Yuan
Modified: 2014-06-23 08:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:04:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yijun Yuan 2008-05-05 20:30:36 EDT
Description of problem:
Close the lid of my laptop while rhythmbox is playing, then open it again, the
usual screensaver password dialog will not appear, and display is totally blank.
I can only use "ctrl-alt-backspace" to kill X, or use "ctrl-alt-F1" to switch to
console -- but cannot switch back and forth for a second time: if I tried
"ctrl-alt-F7" then I cannot go back to console again, the only way is to reboot.




Version-Release number of selected component (if applicable):
rhythmbox-0.11.5-9.fc9.i386

How reproducible:
every time

Steps to Reproduce:
1. open rhythmbox
2. close lid
3. open lid
  
Actual results:
screen is blank

Expected results:
prompt the password dialog

Additional info:
I tried with realplay, padsp realplay, mplayer, Quod Libet, only rhythmbox has
this problem so I think it is not about interaction of pulseaudio and
powermanager. I guess rhythmbox may have locked something that screensaver
desires and cannot release it when switching to console?

video card: intel driver, boot with i915.modeset=0, Xorg.conf is 

[root@mstar ~]# cat /etc/X11/xorg.conf 
Section "ServerFlags"
#       Option "AllowEmptyInput" "True"
#       Option "AutoAddDevices" "True"
#       Option "AutoEnableDevices" "True"
#       Option "Intel-BatchBuffer" "True"
        Option "DRI2" "True"
EndSection
Comment 1 Bastien Nocera 2008-05-06 08:54:09 EDT
I'm pretty sure that's not related to rhythmbox. Can you reproduce the problem
playing a video in totem?
Comment 2 Yijun Yuan 2008-05-06 10:57:18 EDT
No, I cannot reproduce it with totem. I just installed totem from rawhide and
updated my system to latest.

Additional info:
It is only happen when music is playing.

When lid is reopened I can use alt-F4 or alt-F2 and killall -9 rhythmbox to
close rhythmbox. Then close lid again and then reopen it, gnome-screensaver
dialog will be OK. There is a PolicyKit warning (a notification tip) saying that
rhythmbox: is disabled? playing??

Comment 3 Bug Zapper 2008-05-14 06:41:48 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bastien Nocera 2009-03-24 09:32:06 EDT
The plugin that inhibits the computer going into suspend has been disabled for a while now (in 0.11.4-2 in fact). Try disabling the "Power Manager" plugin in Edit->Plugins.

If you can replicate the bug, then it's a problem with the way gnome-power-manager handles suspend when inhibited.
Comment 5 Bug Zapper 2009-06-09 20:38:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 11:04:12 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.